Name: mkfontscale
Version: 1.1.0
Release: 1
Summary: Create an index of scalable font files for X
Group: Development/X11
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# add a few extra encodings
Patch0: mkfontscale-1.0.3-mdv.patch
License: MIT

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
For each directory argument, mkfontscale reads all of the scalable font files
in the directory. For every font file found, an X11 font name (XLFD) is
generated, and is written together with the file name to a file fonts.scale in
the directory.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

%files
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontscale.*


%changelog
* Mon Feb 27 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.0-1
+ Revision: 781020
- version update 1.1.0

* Sat Sep 10 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.9-1
+ Revision: 699283
- update to new version 1.0.9

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-2
+ Revision: 666435
- mass rebuild

* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-1mdv2011.0
+ Revision: 590414
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.7-1mdv2010.1
+ Revision: 464639
- New version: 1.0.7

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.6-2mdv2010.0
+ Revision: 426150
- rebuild

* Fri Dec 19 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.0.6-1mdv2009.1
+ Revision: 316117
- New version 1.0.6

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 265136
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 212547
- new release

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 193001
- new release

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-4mdv2008.1
+ Revision: 166406
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-3mdv2008.1
+ Revision: 154187
- Update BuildRequires.
  Store mandriva custom patches in mandriva+custom git branch.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2008.1
+ Revision: 130025
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension

